# Created by pyp2rpm-3.3.2
%global pypi_name elementpath

Name:           python-%{pypi_name}
Version:        2.0.4
Release:        %mkrel 1
Summary:        XPath 1.0/2.0 parsers and selectors for ElementTree and lxml
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/elementpath
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The proposal of this package is to provide XPath 1.0 and 2.0 selectors
for Python's ElementTree XML data structures, both for the standard
ElementTree library and for the lxml.etree library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The proposal of this package is to provide XPath 1.0 and 2.0 selectors
for Python's ElementTree XML data structures, both for the standard
ElementTree library and for the lxml.etree library.

%package -n python-%{pypi_name}-doc
Summary:        elementpath documentation
BuildRequires:  python3dist(sphinx)

%description -n python-%{pypi_name}-doc
Documentation for elementpath

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Sun Nov 22 2020 guillomovitch <guillomovitch> 2.0.4-1.mga8
+ Revision: 1648432
- new version 2.0.4

* Wed Feb 19 2020 umeabot <umeabot> 1.4.0-2.mga8
+ Revision: 1543470
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 wally <wally> 1.4.0-1.mga8
+ Revision: 1481755
- new version 1.4.0

* Wed Dec 18 2019 wally <wally> 1.3.2-1.mga8
+ Revision: 1468773
- new version 1.3.2

* Thu Sep 26 2019 daviddavid <daviddavid> 1.2.0-2.mga8
+ Revision: 1446262
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.2.0-1.mga8
+ Revision: 1429769
- imported package python-elementpath

